打印

suse 安装lnmp1.4失败 xml2-config找不到

suse 安装lnmp1.4失败 xml2-config找不到

系统版本:SUSE Linux Enterprise Server 12 SP2   12.2  64位
  Ubuntu 14.04.1 LTS
14.04   64位


用 wget -c http://soft.vpser.net/lnmp/lnmp1.4.tar.gz && tar zxf lnmp1.4.tar.gz && cd lnmp1.4 && ./install.sh lnmp  安装

ubantu64安装成功。suse失败失败。

失败之后自己解决一部分问题 碰到这个xml2-config的时候解决不了了

iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # ll
total 468
-rw-r--r-- 1 root root 105187 Jan  5 12:14 liblzma5-5.2.2-3.15.x86_64.rpm
-rw-r--r-- 1 root root  97177 Jan  5 11:55 libxml2-devel-2.9.4-12.1.x86_64.rpm
drwxr-xr-x 7 root root   4096 Aug  2 10:19 lnmp1.4
-rw-r--r-- 1 root root 136983 Dec 22 20:25 lnmp1.4.tar.gz
drwxr-xr-x 3 root root   4096 Jan  5 13:25 pcre-8.32
-rw-r--r-- 1 root root  77269 Jan  5 13:26 readline-devel-6.3-82.6.x86_64.rpm
-rw-r--r-- 1 root root  45449 Jan  5 13:26 xz-devel-5.2.2-3.15.x86_64.rpm
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # rpm -ivh libxml2-devel-2.9.4-12.1.x86_64.rpm
warning: libxml2-devel-2.9.4-12.1.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
error: Failed dependencies:
        readline-devel is needed by libxml2-devel-2.9.4-12.1.x86_64
        xz-devel is needed by libxml2-devel-2.9.4-12.1.x86_64
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # rpm -ivh readline-devel-6.3-82.6.x86_64.rpm
warning: readline-devel-6.3-82.6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
error: Failed dependencies:
        ncurses-devel is needed by readline-devel-6.3-82.6.x86_64
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # zypper install ncurses-
ncurses-devel        ncurses-devel-32bit  ncurses-utils        
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # zypper install ncurses-devel
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 2 NEW packages are going to be installed:
  ncurses-devel tack

2 new packages to install.
Overall download size: 3.5 MiB. Already cached: 0 B. After the operation, additional 25.2 MiB will be used.
Continue? [y/n/...? shows all options] (y): y
Retrieving package tack-5.9-50.1.x86_64                                                                                                                                                               (1/2), 151.3 KiB (168.7 KiB unpacked)
Retrieving: tack-5.9-50.1.x86_64.rpm ................................................................................................................................................................................................[done]
Retrieving package ncurses-devel-5.9-50.1.x86_64                                                                                                                                                      (2/2),   3.4 MiB ( 25.0 MiB unpacked)
Retrieving: ncurses-devel-5.9-50.1.x86_64.rpm .......................................................................................................................................................................................[done]
Checking for file conflicts: ........................................................................................................................................................................................................[done]
(1/2) Installing: tack-5.9-50.1.x86_64 ..............................................................................................................................................................................................[done]
(2/2) Installing: ncurses-devel-5.9-50.1.x86_64 .....................................................................................................................................................................................[done]
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # rpm -ivh readline-devel-6.3-82.6.x86_64.rpm
warning: readline-devel-6.3-82.6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
Preparing...                          ################################# [100%]
Updating / installing...
   1:readline-devel-6.3-82.6          ################################# [100%]
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # rpm -ivh libxml2-devel-2.9.4-12.1.x86_64.rpm
warning: libxml2-devel-2.9.4-12.1.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
error: Failed dependencies:
        xz-devel is needed by libxml2-devel-2.9.4-12.1.x86_64
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # rpm -ivh xz-devel-5.2.2-3.15.x86_64.rpm
warning: xz-devel-5.2.2-3.15.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
error: Failed dependencies:
        liblzma5 = 5.2.2 is needed by xz-devel-5.2.2-3.15.x86_64
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp # rpm -ivh liblzma5-5.2.2-3.15.x86_64.rpm
warning: liblzma5-5.2.2-3.15.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 3dbdc284: NOKEY
Preparing...                          ################################# [100%]
        file /usr/lib64/liblzma.so.5 from install of liblzma5-5.2.2-3.15.x86_64 conflicts with file from package liblzma5-5.0.5-4.852.x86_64
iZbp1g6kmfzh7hw7h0fczyZ:/home/tmp #
附件: 您所在的用户组无法下载或查看附件

TOP

安装libxml2提示,已经安装了最新版本,看网上说缺少libxml2-devel,zypper找不到,所以自己下载了rpm安装,然后发现一层一层的依赖包。到了liblzma5-5.2.2这个依赖包的时候不知道怎么解决

TOP

lnmp不支持suse,不同linux发行版依赖包的名字都可能会有差异

TOP